@charset "UTF-8";
/*Global Styles */
@import url("onetrust.css");

:root {
    --background-color: #423d39;
    --main-font: "Montserrat", sans-serif;
    --main-font-size: 18px;
    --block-margin: 20px;
    --block-padding: 40px;

    /* General Colors: */
    --color-main: #6f5ee1;
    --color-secondary: #8273e5;
    --color-tertiary: #852e63;
    --color-gray: #d9d9d9;
    --text-dark: #1f1f1f;

    --white: #ffffff;
    --black: #000000;

    /* Fonts */
    --h1-title: 40px;
    --h2-title: 34px;
    --h3-title: 28px;
    --p-rule: 1.2rem;
}

/* GENERAL */

*,
*:after,
*:before {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    transition: all 0.1s ease-in;
}

*:focus {
    outline: none !important;
    transition: all 0.1s ease-in;
}

html,
body {
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    height: 100%;
    width: 100%;
    position: relative;
    height: -webkit-fill-available;
    -webkit-overflow-scrolling: touch;
    overflow-x: hidden !important;
    overflow-y: auto;
    margin: 0;
    padding: 0;
    color: var(--text-dark);
}

body {
    margin: 0;
    background: var(--white);
    color: var(--text-dark);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

a {
    color: var(--color-secondary);
}

a:hover,
a:focus {
    color: var(--color-main);
}
/* Header */

.voyo-header {
    height: 70px;
    width: 100%;
    position: relative;
    top: 0;
    display: block;
    background: var(--black);
}
.voyo-header-logo {
    display: flex;
    width: 80px;
    flex-shrink: 0;
    position: relative;
    z-index: 1;
}

.voyo-logo {
    width: 100%;
    height: auto;
}
.voyo-header-logo .hover-fill {
    opacity: 0;
    fill: var(--color-main);
    transition: opacity 0.1s linear;
} 
.voyo-header-logo:hover .hover-fill {
    opacity: 1;
}
.nav-link {
    color: var(--color-main);
}
.nav-link:hover,
.nav-link:focus {
    color: var(--white);
}
/* end Header */

/* Hero Container */
.hero-section {
    margin: 0;
    padding: 40px 0 0;
    width: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--white);
}
.img-gradient {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    background: rgba(0, 0, 0, 0.25);
    background-image: linear-gradient(
        to top,
        rgba(0, 0, 0, 0.6) 0,
        rgba(0, 0, 0, 0.35) 60%,
        rgba(0, 0, 0, 0.8) 100%
    );
}

h1 {
    font-family: var(--main-font);
    font-size: var(--h1-title);
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    text-align: center;
    margin-top: var(--block-margin);
    padding-top: var(--block-padding);
}

h2 {
    font-family: var(--main-font);
    font-size: var(--h2-title);
    font-style: normal;
    font-weight: 900;
    line-height: normal;
    text-align: center;
    margin-bottom: var(--block-margin);
}
h3 {
    font-family: var(--main-font);
    font-size: var(--h3-title);
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    text-align: center;
    margin-bottom: var(--block-margin);
}
p {
    font-family: var(--main-font);
    font-size: var(--p-rule);
    font-style: normal;
    line-height: normal;
}
h1 span,
h2 span,
h3 span,
p span,
p strong {
    color: var(--color-main);
}
.container {
    max-width: 800px;
}

.hero-container {
    width: 100%;
    padding: 20px 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.voyo-logo {
    color: var(--color-main);
    fill: var(--color-main);
}
.subhero-h2 {
    text-align: center;
    font-size: 30px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.hero-container h3 {
    text-align: center;
    font-size: 28px;
    font-style: normal;
    font-weight: 900;
    line-height: normal;
}

/* FORM SECTIOM */
.body-form-section {
    font-family: var(--main-font);
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

#inscriere h3 {
    text-transform: uppercase;
    font-family: var(--main-font);
    font-weight: 500;
    font-size: 1.6rem;
    text-transform: uppercase;
}

.form-fields .form-label {
    font-family: var(--main-font) !important;
    font-weight: bold;
    font-size: 1.1rem;
    color: var(--black);
}

.form-fields .form-control {
    border: 2px solid var(--color-main);
    background-color: var(--white);
}

.form-control-invalid-feedback {
    opacity: 0;
    width: 100%;
    margin-top: 0.25rem;
    font-size: 0.75em;
    color: #dc3545;
}

.is-invalid ~ .form-control-invalid-feedback {
    opacity: 1;
}

.form-control {
    background-color: var(--white);
    color: var(--text-dark);
    position: relative;
    height: 50px;
    width: 100%;
    border-radius: 5px;
    font-size: 16px;
    font-weight: 300;
    border: 1px solid var(--color-main);
    transition: 0.3s ease;
    -webkit-appearance: none;
    appearance: none;
}
.form-control[type="file"] {
    padding: 12px 15px 0;
}

.form-control:focus,
.form-control:hover,
.form-control:active {
    border-color: var(--color-secondary);
    color: var(--color-main);
}

.form-control:-webkit-autofill,
.form-control:-webkit-autofill:hover,
.form-control:-webkit-autofill:focus,
input:-internal-autofill-selected {
    border: 1px solid var(--color-main) !important;
    color: var(--text-dark);
}

.form-label {
    font-weight: bold;
    font-size: 1rem;
    text-transform: uppercase;
    color: var(--text-dark);
}

.text-success-emphasis {
    color: var(--color-main) !important;
    font-size: 18px;
    font-weight: 900;
}

.submitButton {
    background: var(--color-main);
    text-align: center;
    color: var(--white);
    border-radius: 4px;
    text-transform: uppercase;
    border: 1px solid var(--color-main);
    font-family: var(--main-font);
    font-weight: 500;
}

.submitButton:hover,
.submitButton:focus {
    color: var(--white);
    background: var(--color-secondary);
    border: 1px solid var(--color-secondary);
}
/* END FORM */

/* FOOTER */
footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100px;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    background: var(--color-main);
    margin-top: auto;
}

footer p {
    padding: 20px 0;
    color: var(--white);
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.container-footer {
    position: relative;
    max-width: 1000px;
}

#tapad_url {
    display: none;
    height: 0;
}

@media screen and (max-width: 700px) {
    .show-items {
        gap: 5px;
    }
}
